package main

import (
	"os"

	"github.com/rs/zerolog"
	"gitlab.com/security-rd/go-pkg/logging"
	"gitlab.com/tensorsecurity-rd/waf-console/cmd/app"
)

const (
// weibuUrl = "https://api.threatbook.cn/v3/ip/query?apikey=d625206f5fdb49eeb98b0c30f46f4310a444f76d392540e8a0bb160d8a7d02c4&resource="
// apiKey   = "d625206f5fdb49eeb98b0c30f46f4310a444f76d392540e8a0bb160d8a7d02c4"
)

func main() {
	logLevel := zerolog.InfoLevel

	logging.Get().SetLevel(logLevel)
	logging.Get().Info().Msg("starting gateway")

	rootCmd := app.NewRootCommand()
	if err := rootCmd.Execute(); err != nil {
		logging.Get().Err(err)
		os.Exit(-1)
	}
}
